## https://en.bitcoin.it/wiki/Running_Bitcoin#Command-line_arguments

## RESULT ERROR !!! why???
#### {u'id': 1, u'result': None, u'error': {u'message': u'Error: The transaction was rejected! This might happen if some of the coins in ### your wallet were already spent, such as if you used a copy of wallet.dat and coins were spent in the copy but not marked as spent here.', u'code': -4}}

## Keep at most <n> unconnectable transactions in memory (default: 100)
maxorphantx=222

## Set the number of threads to service RPC calls (default: 4)
rpcthreads=10

## Set database cache size in megabytes (4 to 1024, default: 100)
#dbcache=50

##Keep the transaction memory pool below <n> megabytes (default: 300) - MINIMUM 5
##maxmempool=15

##Do not keep transactions in the mempool longer than <n> hours (default: 72)
#### need MAX - days memory my unconfirmed transactions?
mempoolexpiry=1000

##Set the number of script verification threads (-2 to 16, 0 = auto, <0 = leave that many cores free, default: 0)
par=2

rpcuser=login
rpcpassword=password
server=1

rpcallowip=127.0.0.1
rpcport=8332

##### for Windows ######################
blocknotify=start /LOW /MIN C:\web2py-m\applications\wallets--spay\!notify-curl3.cmd BTC %s >nul
##### for Unix ######################
blocknotify=/home/uera/7pay_wallets/notify BTC %s

dns=1

maxconnections=10

## eligius.st
#connect=eligius.st
#####+connect=mining.eligius.st # OK!!!!!
#connect=23.21.225.111

###+connect=stratum.btcguild.com # OK!!!!!
#connect=btcguild.com

#########+connect=eustratum.ozco.in # OK !!!!

#########################################
#connect=us2.eclipsemc.com:8337
#connect=us.eclipsemc.com:8337
#connect=us2.eclipsemc.com
#connect=us.eclipsemc.com

#connect=rr.btcmp.com:8332 # OK!
#connect=btcmp.com:8332 # OK!
#connect=btcmp.com:3332
#connect=btcmp.com:3333
#connect=btcmp.com

#connect=stratum.bitcoin.cz:3333 # ok?
#connect=stratum.bitcoin.cz:3332
#connect=stratum.bitcoin.cz
#connect=bitcoin.cz:3333 ---
#connect=bitcoin.cz:3332 ---
#connect=bitcoin.cz ---

#connect=mint.bitminter.com # not work
#connect=mint.bitminter.com:80 # OK! 443 and 5050 
#connect=mint.bitminter.com:443  # 443 and 5050 
#connect=mint.bitminter.com:5050 # OK! 443 and 5050 
#connect=mint.bitminter.com:3333 # OK! (Stratum)
#connect=mint.bitminter.com:3332 # OK! (Stratum)
#connect=mint.bitminter.com:8332 # (GBT or getwork)
#connect=mint.bitminter.com:8333 # (GBT or getwork)
#connect=mint.bitminter.com:8331 # (GBT or getwork)

#connect=pool.itzod.ru:3332 -3333 -none - not worked (
#connect=itzod.ru:3332
#connect=stratum.itzod.ru:3332

#connect=pit.deepbit.net
#connect=deepbit.net


# 50btc.com
#connect=pool.50btc.com
#connect=50btc.com
#connect=pool.50btc.ru
#connect=50btc.ru

#connect=192.3.11.20


#getpeerinfo
#[
#{
#"addr" : "mining.eligius.st",
#"services" : "00000001",
#"lastsend" : 1390836977,
#"lastrecv" : 1390836978,
#"bytessent" : 5203,
#"bytesrecv" : 829191,
#"conntime" : 1390836866,
#"version" : 70001,
#"subver" : "/Satoshi:0.8.6/",
#"inbound" : false,
#"startingheight" : 282734,
#"banscore" : 0,
#"syncnode" : true
#}
#]
